package dev.shadowsoffire.apotheosis.advancements;

import net.minecraft.advancements.critereon.EnchantedItemTrigger;
import net.minecraft.advancements.CriterionTrigger;
import net.minecraft.advancements.critereon.InventoryChangeTrigger;
import net.minecraft.resources.ResourceLocation;
import net.minecraft.advancements.CriteriaTriggers;

public class AdvancementTriggers
{
    public static final SplittingTrigger SPLIT_BOOK;
    public static final ModifierTrigger SPAWNER_MODIFIER;
    public static final GemCutTrigger GEM_CUT;
    
    public static void init() {
        CriteriaTriggers.f_10566_.remove(new ResourceLocation("inventory_changed"));
        CriteriaTriggers.f_10571_ = (InventoryChangeTrigger)CriteriaTriggers.m_10595_((CriterionTrigger)new ExtendedInvTrigger());
        CriteriaTriggers.f_10566_.remove(new ResourceLocation("enchanted_item"));
        CriteriaTriggers.f_10575_ = (EnchantedItemTrigger)CriteriaTriggers.m_10595_((CriterionTrigger)new EnchantedTrigger());
        CriteriaTriggers.m_10595_((CriterionTrigger)AdvancementTriggers.SPAWNER_MODIFIER);
        CriteriaTriggers.m_10595_((CriterionTrigger)AdvancementTriggers.SPLIT_BOOK);
        CriteriaTriggers.m_10595_((CriterionTrigger)AdvancementTriggers.GEM_CUT);
    }
    
    static {
        SPLIT_BOOK = new SplittingTrigger();
        SPAWNER_MODIFIER = new ModifierTrigger();
        GEM_CUT = new GemCutTrigger();
    }
}
